Форум программистов, компьютерный форум CyberForum.ru

Программирование Android

Войти
Регистрация
Восстановить пароль
 
SAVA93
1 / 1 / 0
Регистрация: 24.12.2011
Сообщений: 86
#1

приложение должно но не открывается на андроиде ниже 14 API (4,0) - Android

20.08.2013, 00:58. Просмотров 672. Ответов 3
Метки нет (Все метки)

Вообщем такое дело... для меня это какая то аномалия... с начал проект был поделен на 2 части это были отдельно лейаут логин и отдельно табы с меню... по отдельности оба запускались на андроиде API 8 и даже 7...

а как только просто тупо поставил чтобы при нажатии на кнопку логин переходил на меню с табами то сразу перестал... и требует только андроид 4.0 и выше

вот лог ошибок почему то просит тему от шерлока, но я ее уже поставил в манифесте...

подскажите кто может

Кликните здесь для просмотра всего текста
08-19 20:48:27.756: E/AndroidRuntime(1039): FATAL EXCEPTION: main
08-19 20:48:27.756: E/AndroidRuntime(1039): java.lang.RuntimeException: Unable to start activity ComponentInfo{com.example.aucaintouch/com.example.aucaintouch.MainScreen}: java.lang.IllegalStateException: You must use Theme.Sherlock, Theme.Sherlock.Light, Theme.Sherlock.Light.DarkActionBar, or a derivative.
08-19 20:48:27.756: E/AndroidRuntime(1039): at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2663)
08-19 20:48:27.756: E/AndroidRuntime(1039): at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:2679)
08-19 20:48:27.756: E/AndroidRuntime(1039): at android.app.ActivityThread.access$2300(ActivityThread.java:125)
08-19 20:48:27.756: E/AndroidRuntime(1039): at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2033)
08-19 20:48:27.756: E/AndroidRuntime(1039): at android.os.Handler.dispatchMessage(Handler.java:99)
08-19 20:48:27.756: E/AndroidRuntime(1039): at android.os.Looper.loop(Looper.java:123)
08-19 20:48:27.756: E/AndroidRuntime(1039): at android.app.ActivityThread.main(ActivityThread.java:4627)
08-19 20:48:27.756: E/AndroidRuntime(1039): at java.lang.reflect.Method.invokeNative(Native Method)
08-19 20:48:27.756: E/AndroidRuntime(1039): at java.lang.reflect.Method.invoke(Method.java:521)
08-19 20:48:27.756: E/AndroidRuntime(1039): at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:868)
08-19 20:48:27.756: E/AndroidRuntime(1039): at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:626)
08-19 20:48:27.756: E/AndroidRuntime(1039): at dalvik.system.NativeStart.main(Native Method)
08-19 20:48:27.756: E/AndroidRuntime(1039): Caused by: java.lang.IllegalStateException: You must use Theme.Sherlock, Theme.Sherlock.Light, Theme.Sherlock.Light.DarkActionBar, or a derivative.
08-19 20:48:27.756: E/AndroidRuntime(1039): at com.actionbarsherlock.internal.ActionBarSherlockCompat.generateLayout(ActionBarSherlockCompat.java:976)
08-19 20:48:27.756: E/AndroidRuntime(1039): at com.actionbarsherlock.internal.ActionBarSherlockCompat.installDecor(ActionBarSherlockCompat.java:902)
08-19 20:48:27.756: E/AndroidRuntime(1039): at com.actionbarsherlock.internal.ActionBarSherlockCompat.setContentView(ActionBarSherlockCompat.java:836)
08-19 20:48:27.756: E/AndroidRuntime(1039): at com.actionbarsherlock.app.SherlockFragmentActivity.setContentView(SherlockFragmentActivity.java:261)
08-19 20:48:27.756: E/AndroidRuntime(1039): at com.example.aucaintouch.MainScreen.onCreate(MainScreen.java:22)
08-19 20:48:27.756: E/AndroidRuntime(1039): at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1047)
08-19 20:48:27.756: E/AndroidRuntime(1039): at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2627)
08-19 20:48:27.756: E/AndroidRuntime(1039): ... 11 more


https://github.com/kimslava93/AUCAinTOUCH
вот сам проект
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
20.08.2013, 00:58     приложение должно но не открывается на андроиде ниже 14 API (4,0)
Посмотрите здесь:

Android Debug на андроиде
LED индикаторы на андроиде Android
Android Запись звука на Андроиде
Android Как поставить Google Analytics API в приложение
Простенькая программа на андроиде Android
Базы данных в андроиде Android
Файловые диалоги в андроиде Android
Android Смена бекграунда на андроиде
Смена бекграунда на андроиде Android
Масштабирование компонентов на андроиде Android
Защита приложения на Андроиде Android
FATAL EXCEPTION: main при старте приложения на android ниже API 21 Android

Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
После регистрации реклама в сообщениях будет скрыта и будут доступны все возможности форума.
Digetix
104 / 104 / 1
Регистрация: 09.04.2012
Сообщений: 647
20.08.2013, 01:05     приложение должно но не открывается на андроиде ниже 14 API (4,0) #2
В вашем манифесте
XML
1
android:theme="@style/Sherlock.__Theme"
может нужно
XML
1
android:theme="@style/Sherlock.Theme"
?
http://stackoverflow.com/questions/9...or-android-app
SAVA93
1 / 1 / 0
Регистрация: 24.12.2011
Сообщений: 86
20.08.2013, 01:35  [ТС]     приложение должно но не открывается на андроиде ниже 14 API (4,0) #3
Digetix, как всегда выручаете) кстати когда ставил там тему она сама сразу высветилась... вот я ее и поставил и думал что правильно... вот и ошибка моя была
еще раз спасибо)
Digetix
104 / 104 / 1
Регистрация: 09.04.2012
Сообщений: 647
20.08.2013, 21:37     приложение должно но не открывается на андроиде ниже 14 API (4,0) #4
Почаще пользуйтесь Ctrl + пробел в Эклипсе
Yandex
Объявления
20.08.2013, 21:37     приложение должно но не открывается на андроиде ниже 14 API (4,0)
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Рейтинг@Mail.ru